-----------------------------------------------------------------------------
-- Create

function Create(e)
    System.OutputDebugString("MenuPublisher::Create()\n");
--    System.ConsoleBeep(440, 100);
    Entity.SetFloat(e, "fadeInDuration", 1.0);
    Entity.SetFloat(e, "holdDuration", 2.0);
    Entity.SetFloat(e, "fadeInDuration", 0.5);    
    end;


function Update(this, elapsedSec)
--    x, y, z = Entity.GetPos(this);
--    x = x + 0.1;
--    Entity.SetPos(this, x, y, z);
--    System.OutputDebugString("----------------\n");
--    System.ConsoleBeep(440, 10);
--    System.OutputDebugString("Avatar::Update("..elapsedSec..")\n");
    end;